### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-file-upload/ecl-file-upload.directive.ts`

### Implements

`OnInit` `OnDestroy` `DoCheck`

### Metadata

Selector | `[eclFileUpload]`

### Index

###### Inputs
disabled id isInvalid multiple variant
###### Outputs
filesSelected
###### HostBindings
attr.type class class.ecl-file-upload--invalid
###### HostListeners
change click
###### Accessors
disabled multiple

### Constructor

`constructor(ngControl: NgControl, el: ElementRef, translate: TranslateService)`
Parameters :
Name | Type | Optional
ngControl | `NgControl` | No
el | `ElementRef` | No
translate | `TranslateService` | No

### Inputs

disabled

id
Type : `string`

isInvalid
Type : `boolean`
Default value : `false`

multiple

variant
Type : `string`
Default value : `'default'`

### Outputs

filesSelected
Type : `EventEmitter`

### HostBindings

attr.type
Type : `string`
Default value : `'file'`

class

class.ecl-file-upload--invalid

### HostListeners

change
Arguments : `'$event'`
`change(evt: Event)`

click
Arguments : `'$event'`
`click(evt: Event)`

### Accessors

disabled
set `disabled(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

multiple
set `multiple(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

# result-matching ""

# No results matching ""